DEPTH = ..

include $(DEPTH)/Makefile.os

.PHONY: all
all :

ifeq ($(OS), Linux)
.PHONY: zips
zips :
	for d in translations rules ai; do \
	  zip -qr $${d}.zip $$d; \
	done
endif

ifeq ($(SHELLTYPE), sh)
.PHONY: release
release :
	for d in translations rules ai; do \
	  cp -a $$d $(DEPTH)/release/FreeDoko_$(VERSION)/; \
	done
	for d in cardsets backgrounds; do \
	  make -C $$d release; \
	done
	find . -name "*~" -exec rm \{\} \;
endif

ifeq ($(SHELLTYPE), sh)
.PHONY: clean
clean :
	make -C setup clean;
endif
